Stop Timer
POST
/users/{user_id}/tracking-timers/{timer_id}/stop
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tracking-timers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stop';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ended_at":"2026-04-15T12:00:00Z","label":"example","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tracking-timers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stop \ --header 'Content-Type: application/json' \ --data '{ "ended_at": "2026-04-15T12:00:00Z", "label": "example", "note": "example" }'Stop a timer → a finished range Event (occurred_at=start, duration=end-start), and delete
the timer. ended_at defaults to now; it must be after the start and not in the future.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
timer_id
required
Timer Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
TrackingTimerStop
Stop a running timer → a finished range Event. ended_at defaults to now; must be after
the timer’s start and not in the future (validated server-side).
object
Examplegenerated
{ "ended_at": "2026-04-15T12:00:00Z", "label": "example", "note": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EventRead
object
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
metadata
required
Metadata
object
key
additional properties
any
occurred_at
required
Occurred At
string format: date-time
source
required
EventSource
string
tags
required
Any of:
Array<string>
null
updated_at
required
Updated At
string format: date-time
user_id
required
User Id
string format: uuid
Example
{ "source": "user"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}